# Generated from betterobject-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name betterobject

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Object method generator system
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(byebug) >= 5.0.0
BuildArch: noarch

%description
This gem installs several class methods to Object which in turn generates both
class and instance methods but only when you are ready.
In order to prevent name pollution, you have the ability to manage the
generators to pick alternate names if you prefer.
After scouring the RubyGems site, some of the better Class upgrades are
included here as well as some of my own.
The gem creates the backbone upon which future upgrades should be forthcoming.
As a teaser, some of the generators presently include: obj.local_methods,
obj.inherited_methods, obj.replaced_methods, obj.in?, COBJ.comes_from?,
COBJ.derives_from?, obj.find_def.
There are currently 20 generators and counting.
Calling Object.better_install_all will install all of the generators.
You can also generate a subset by calling
Object.better_install(:generator_name).
The generator names are also the method names which can be renamed by calling
Object.better_rename(old_name, new_name);.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/betterobject.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 1.2.0-1
- Initial package
